 /****************************************************************/
 /*          S A S   S A M P L E   L I B R A R Y                 */
 /*                                                              */
 /*    NAME: GMPGCNT                                             */
 /*   TITLE: GMPGCNT-Mapping an Individual Country By Subsetting */
 /*          MAPSGFK.WORLD                                       */
 /*          PROCEDURE                                           */
 /* PRODUCT: GRAPH                                               */
 /*  SYSTEM: ALL                                                 */
 /*    PROC: GINSIDE                                             */
 /*    DATA: INTERNAL                                            */
 /*                                                              */
 /* SUPPORT: GRAPHICS STAFF              CREATED: 04AUG2022      */
 /*     REF: SAS/GRAPH AND BASE SAS MAPPING REFERENCE            */
 /****************************************************************/
 
/* Set the graphics environment. */
goptions reset=all border device=png;

/* Define the footnote for this map. */
footnote1 j=r "This map was drawn using GfK map data.";

/* Subset the MAPSGFK.WORLD map data set for the Bahamas by using
   the SQL procedure. */
proc sql;
   create table mymap as
      select * from mapsgfk.world
      where idname eq "Bahamas";
run;
quit;

/* Create the map by using the GMAP procedure. */
proc gmap map=mymap data=mymap density=6;
   id idname;
   choro idname / stat=first;
run;
quit;

/* Reset the graphics environment. */
goptions reset=all;
