 /****************************************************************/
 /*          S A S   S A M P L E   L I B R A R Y                 */
 /*                                                              */
 /*    NAME: GMPGUSDA                                            */
 /*   TITLE: GMPGUSDA-Combining GfK GeoMarketing Map Data and    */
 /*          Sample Response Data to Map U.S. Population         */
 /*          Statistics                                          */
 /*          PROCEDURE                                           */
 /* PRODUCT: GRAPH                                               */
 /*  SYSTEM: ALL                                                 */
 /*    PROC: GINSIDE                                             */
 /*    DATA: INTERNAL                                            */
 /* RELEASE: SAS 9.4M7 and prior releases                        */
 /*                                                              */
 /* SUPPORT: GRAPHICS STAFF              CREATED: 04AUG2022      */
 /*     REF: SAS/GRAPH AND BASE SAS MAPPING REFERENCE            */
 /****************************************************************/
 
/* Set the graphics environment. */
goptions reset=all border device=png;

/* Define the title and footnote for the map. */
title1 ls=1.5 "Using Sample U.S. Response Data";
footnote1 j=r "This map was drawn using GfK map data.";

/* Define the legend for the map. */
legend1 label=(position=top) shape=bar(.1in,.1in);

/* Produce the choropleth map of the United States. */
proc gmap data=sashelp.us_data map=mapsgfk.us;
   id state;
   choro density_2010 / levels=3 legend=legend1;
run;
quit;

/* Reset the graphics environment. */
goptions reset=all;
