 /****************************************************************/
 /*          S A S   S A M P L E   L I B R A R Y                 */
 /*                                                              */
 /*    NAME: GMPGUSDA                                            */
 /*   TITLE: GMPGUSDA-Combining GfK GeoMarketing Map Data and    */
 /*          Sample Response Data to Map U.S. Population         */
 /*          Statistics                                          */
 /*          PROCEDURE                                           */
 /* PRODUCT: GRAPH                                               */
 /*  SYSTEM: ALL                                                 */
 /*    PROC: GINSIDE                                             */
 /*    DATA: INTERNAL                                            */
 /* RELEASE: SAS 9.4M8 and later releases.                       */
 /*    MISC: For SAS 9.4M7 and earlier releases, use the 2010    */
 /*          density data instead.                               */
 /*                                                              */
 /* SUPPORT: GRAPHICS STAFF              CREATED: 04AUG2022      */
 /*     REF: SAS/GRAPH AND BASE SAS MAPPING REFERENCE            */
 /****************************************************************/
 
/* Set the graphics environment. */
goptions border;

/* Define the title for the map. */
title1 ls=1.5 "Using Sample U.S. Response Data";

/* Define the legend for the map. */
legend1 label=(position=top) shape=bar(.1in,.1in);

/* Produce the choropleth map of the United States.
   Note: For SAS 9.4M7 and earlier releases, use DENSITY_2010 in
         the CHORO statement instead. */
proc gmap data=sashelp.us_data map=mapsgfk.us;
   id state;
   choro density_2020 / levels=3 legend=legend1;
run;
quit;

/* Reset the graphics environment. */
goptions reset=all;
