 /*+-------------------------------------------------------------+
   |          S A S   S A M P L E   L I B R A R Y                |
   |                                                             |
   |    NAME: GMPLABEL                                           |
   |   TITLE: GMPLABEL-Labeling Provinces on a Map When Using    |
   |          Traditional Map Data                               |
   | PRODUCT: GRAPH                                              |
   |  SYSTEM: ALL                                                |
   |    KEYS: GRAPHICS MAPS GMAP ANNOTATE                        |
   |   PROCS: GMAP                                               |
   |    DATA: INTERNAL                                           |
   |                                                             |
   | SUPPORT: GRAPHICS STAFF                                     |
   |  UPDATE: 12JUL2012                                          |
   |          17APR2019 - Changed %MAPLABEL verbiage             |
   |     REF: SAS/GRAPH AND BASE SAS MAPPING REFERENCE           |
   +-------------------------------------------------------------+*/

/* Set the graphics environment. */
goptions reset=all border device=png;

/* Define the title for the map. */
title "Labeling Provinces with the MAPLABEL Macro";

/* Define pattern characteristics. */
pattern1 value=empty color=blue repeat=6;

/* Create the Annotate data set. */
%annomac;
%maplabel (mapssas.belarus, mapssas.belarus2, work.labelout, idname, id,
          font=Arial Black, color=crimson, size=4, hsys=3);

/* Produce the choropleth map. */
proc gmap map=mapssas.belarus data=mapssas.belarus;
   id id;
   choro id / stat=sum nolegend annotate=labelout;
run;
quit;

/* Reset the graphics environment. */
goptions reset=all;
