
 /*+----------------------------------------------------------------------+
   |          S A S   S A M P L E   L I B R A R Y                         |
   |                                                                      |
   |    NAME: GMPSTAT                                                     |
   |   TITLE: GMPSTAT- Specifying the Statistic for the Response Variable |
   |          When Using Traditional Map Data                             |
   | PRODUCT: GRAPH                                                       |
   |  SYSTEM: ALL                                                         |
   |    KEYS: GRAPHICS MAPS GMAP BLOCK STATISTIC                          |
   |   PROCS: GMAP                                                        |
   |    DATA: INTERNAL                                                    |
   |                                                                      |
   | SUPPORT: GRAPHICS STAFF                                              |
   |  UPDATE: 06MAR2013                                                   |
   |     REF: SAS/GRAPH AND BASE SAS MAPPING REFERENCE                    |
   +----------------------------------------------------------------------+*/

/* Set the graphics environment. */
goptions reset=all border device=png;

/* Define the title and the color for the map. */
title1 "Number of ZIP Codes per State";
pattern1 value=msolid color=tan;

/* Produce the block maps. These include Puerto Rico and the District of
   Columbia. */
proc gmap map=mapssas.us data=sashelp.zipcode all;
   id state;
   block zip / statistic=frequency
               levels=5 relzero;
run;
quit;

/* Reset the graphics environment. */
goptions reset=all;
