  /*+----------------------------------------------------------------------+
   |          S A S   S A M P L E   L I B R A R Y                         |
   |                                                                      |
   |    NAME: GMPUSDAT                                                    |
   |   TITLE: GMPUSDAT- Combining Traditional Map Data and Sample         |
   |          Response Data to Map U.S. Population Statistics             |
   | PRODUCT: GRAPH                                                       |
   |  SYSTEM: ALL                                                         |
   |    KEYS: GRAPHICS MAPS GMAP CHORO SASHELP.US_DATA                    |
   |   PROCS: GMAP                                                        |
   |    DATA: INTERNAL                                                    |
   | RELEASE: SAS 9.4M7 and prior releases                                |
   |                                                                      |
   | SUPPORT: GRAPHICS STAFF                                              |
   | UPDATED: 07DEC2021                                                   |
   |     REF: SAS/GRAPH AND BASE SAS MAPPING REFERENCE                    |
   +----------------------------------------------------------------------+*/

/* Set the graphics environment. */
goptions reset=all border device=png;

/* Define the title for the map. */
title1 ls=1.5 "Using Sample U.S. Response Data";

/* Define the legend for the map. */
legend1 label=(position=top) shape=bar(.1in,.1in);

/* Produce the choropleth map of the United States. */
proc gmap data=sashelp.us_data map=mapssas.us;
id state;
choro density_2010 / levels=3 legend=legend1;
run;
quit;

/* Reset the graphics environment. */
goptions reset=all;
