 /*+-------------------------------------------------------------+
   |          S A S   S A M P L E   L I B R A R Y                |
   |                                                             |
   |    NAME: GRDCANAD                                           |
   |   TITLE: GRDCANAD-Reducing the Map of Canada Using          |
   |          Traditional Map Data                               |
   | PRODUCT: GRAPH                                              |
   |  SYSTEM: ALL                                                |
   |    KEYS: GRAPHICS GOPTIONS GMAP GREDUCE MAPS PATTERN        |
   |   PROCS: GMAP GREDUCE                                       |
   |    DATA: EXTERNAL                                           |
   |                                                             |
   | SUPPORT: GRAPHICS STAFF                                     |
   |  UPDATE: 06JAN2011                                          |
   |     REF: SAS/GRAPH AND BASE SAS MAPPING REFERENCE           |
   +-------------------------------------------------------------+*/

/* Set the graphics environment. */
goptions reset=all border device=png;

/* Define the title for the first map. */
title1 "Canada";
title2 "Using all DENSITY values";

/* Define pattern characteristics. */
pattern value=msolid repeat=12 color=white;

/* Show the unreduced map. */
proc gmap map=maps.canada2 data=maps.canada2 all;
  id province;
  choro province / stat=first nolegend coutline=blue;
run;

/* Create a new map data set, CAN2, that contains a DENSITY
   variable. */
proc greduce data=maps.canada2 out=can2;
   id province;
run;

/* Define the title for the second map. */
title2 "Using only DENSITY values 0 to 2";

/* Show the reduced map with density levels 0-2. */
proc gmap map=can2
          data=can2 all density=2;
   id province;
   choro province / stat=first nolegend coutline=blue;
run;
quit;

/* Reset the graphics environment. */
goptions reset=all;
