 /*+-------------------------------------------------------------+
   |          S A S   S A M P L E   L I B R A R Y                |
   |                                                             |
   |    NAME: GRMAFRIC                                           |
   |   TITLE: GRMAFRIC-Creating an Outline Map of Africa Using   |
   |          Traditional Map Data                               |
   | PRODUCT: GRAPH                                              |
   |  SYSTEM: ALL                                                |
   |    KEYS: GRAPHICS GOPTIONS GMAP GREMOVE MAPS PATTERN        |
   |   PROCS: GMAP GREMOVE                                       |
   |    DATA: EXTERNAL                                           |
   |                                                             |
   | SUPPORT: GRAPHICS STAFF                                     |
   |  UPDATE: 02NOV2007                                          |
   |     REF: SAS/GRAPH AND BASE SAS MAPPING REFERENCE           |
   +-------------------------------------------------------------+*/

/* Set the graphics environment. */
goptions border;

/* Create the NEWAF data set. */
data newaf;
   set mapssas.africa;
   region=1;
run;

/* Remove the unit areas from the AFRICA data set. */
proc gremove data=newaf out=africa;
   by region;
   id id;
run;

/* Define the title. */
title "Africa with Boundaries";

/* Define pattern characteristics. */
pattern value=mempty color=blue;

/* Display the original map. */
proc gmap map=mapssas.africa data=mapssas.africa all;
   id id;
   choro id / stat=first nolegend levels=1;
run;

/* Define a new title for the map. */
title "Africa without Boundaries";

/* Display the map with no boundaries. */
proc gmap data=africa map=africa;
   id region;
   choro region / stat=first nolegend levels=1;
run;
quit;

/* Reset the graphics environment. */
goptions reset=all;
